from typing import List, Union, Dict

from pydantic import BaseModel
from typing import Optional


class Interview(BaseModel):
    job_name: str =None  # 应聘职位
    hr_name: str  # 面试负责人
    interview_name: str  # 面试官
    interview_type: str  # 面试类型
    interview_sign: int  # 面试签到
    feedback: int  # 面试反馈
    interview_round: int  # 面试轮次
    pages: int = 1  # 分页的当前页
    time_type: str  # 要查询的时间范围类型
